import { EventEmitter, OnInit, QueryList, TemplateRef } from '@angular/core';
import { MatButtonToggleChange } from '@angular/material/button-toggle';
import * as i0 from "@angular/core";
export declare class SdsButtonGroupOptionComponent {
    buttonGroupTemplate: TemplateRef<any>;
    value: any;
    checked: boolean;
    ariaLabel: any;
    disabled: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsButtonGroupOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsButtonGroupOptionComponent, "sds-button-group-option", never, { "value": { "alias": "value"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare class SdsButtonGroupComponent implements OnInit {
    ngOnInit(): void;
    buttonOptions: QueryList<SdsButtonGroupOptionComponent>;
    classesToApply: Object;
    /**
     * 'checkbox' || 'radio'
     */
    mode: 'checkbox' | 'radio';
    modularDashboard: boolean;
    change: EventEmitter<MatButtonToggleChange>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsButtonGroupComponent, "sds-button-group", never, { "mode": { "alias": "mode"; "required": false; }; "modularDashboard": { "alias": "modularDashboard"; "required": false; }; }, { "change": "change"; }, ["buttonOptions"], never, false, never>;
}
