import { ElementRef, Renderer2 } from '@angular/core';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class TableRowNavigationDirective {
    private el;
    private renderer;
    private router;
    private readonly hoverClass;
    highlightOnHover: boolean;
    constructor(el: ElementRef, renderer: Renderer2, router: Router);
    onMouseEnter(): void;
    onMouseLeave(): void;
    addHoverClass(): void;
    removeHoverClass(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableRowNavigationDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableRowNavigationDirective, "tr[mat-row][sdsTableRowNavigation]", never, { "highlightOnHover": { "alias": "highlightOnHover"; "required": false; }; }, {}, never, never, false, never>;
}
